Skip to main content
GET
/
api
/
v2
/
backoffice
/
role-snapshots
/
role
/
{roleId}
Get snapshots for a role
curl --request GET \
  --url https://sandbox.killb.app/api/v2/backoffice/role-snapshots/role/{roleId} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "roleId": "<string>",
    "roleName": "<string>",
    "snapshotData": {},
    "changeType": "create",
    "changedBy": "<string>",
    "reason": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

roleId
string
required

Query Parameters

limit
number
required

Response

id
string
required
roleId
string
required
roleName
string
required
snapshotData
object
required
changeType
enum<string>
required
Available options:
create,
update,
delete
changedBy
string
required
reason
string
required
createdAt
string<date-time>
required